## sphinxsearch 2.0.4

=== mysqlse/CMakeLists.txt ===
--- 
+++ 
@@ -8,4 +8,9 @@
                     ${CMAKE_SOURCE_DIR}/regex)
 
 SET(SPHINX_SOURCES ha_sphinx.cc)
+IF(MYSQL_VERSION_ID LESS 50515) 
 ADD_LIBRARY(sphinx ha_sphinx.cc)
+ELSE()
+SET(SPHINX_PLUGIN_DYNAMIC "ha_sphinx")
+MYSQL_ADD_PLUGIN(sphinx ${SPHINX_SOURCES} STORAGE_ENGINE MODULE_ONLY LINK_LIBRARIES mysys)
+ENDIF()
