=== debian/changelog ===
sphinxsearch (2.0.4-1.1ubuntu2) devel; urgency=low

  * Add a call to AM_PROG_AR to fix FTBFS with new automake.
  * Enable parallel build.
  * Enable 64 bit long ID (LP: #839626)
  * Enable compile options: --with-syslog, --with-unixodbc (LP: #1068087)

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Mon, 21 Oct 2013 09:56:47 +0100

sphinxsearch (2.0.4-1.1ubuntu1) quantal; urgency=low

  * Add libraries, ruby and python api. (Closes: #563205)
  * Add dh_autotools_dev to satisfy dpkg-source
  * Use dh_python2
  
 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 23 Aug 2012 03:01:57 +0100

sphinxsearch (2.0.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Removed hard-coded dependency on libmysqlclient16 (Closes: #676595)

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Mon, 11 Jun 2012 20:31:53 +0000

sphinxsearch (2.0.4-1) unstable; urgency=low

  * New upstream release.
  * Fix FTBFS with gcc-4.7. Thanks to Cyril Brulebois for the patch.
    (closes: #667378)
  * init script improvements thanks to Daniel Black.
    (closes: #656326)
  * watch file thanks to Mateusz Kijowski.
    (closes: #663680, #663679)
  * Bumped Standards Version.
 
 -- Radu Spineanu <radu@debian.org>  Fri, 20 Apr 2012 02:24:37 +0000
