=== debian/control ===
Source: sphinxsearch
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Radu Spineanu <radu@debian.org>
Build-Depends: debhelper (>= 7.0.50), autotools-dev, gawk, libmysqlclient-dev, libpq-dev, autoconf, libtool, automake, docbook-to-man, libexpat-dev, libstemmer-dev, dh-autoreconf, adduser, python, ruby, unixodbc-dev
Standards-Version: 3.9.3

Package: sphinxsearch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Description: Fast standalone full-text SQL search engine
 Sphinx is a standalone full text search engine, meant to provide fast,
 size-efficient and relevant fulltext search functions to other applications. 
 Sphinx was specially designed to integrate well with SQL databases and 
 scripting languages. Currently built-in data sources support fetching data 
 either via direct connection to MySQL or PostgreSQL, or using XML pipe 
 mechanism (a pipe to indexer in special XML-based format which Sphinx 
 recognizes).
 .
 Sphinx is an acronym which is officially decoded as SQL Phrase Index.

Package: libsphinxclient-0.0.1
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Fast standalone full-text SQL search engine - Client library
 Sphinx is a standalone full text search engine, meant to provide fast,
 size-efficient and relevant fulltext search functions to other applications.
 Sphinx was specially designed to integrate well with SQL databases and
 scripting languages. Currently built-in data sources support fetching data
 either via direct connection to MySQL or PostgreSQL, or using XML pipe
 mechanism (a pipe to indexer in special XML-based format which Sphinx
 recognizes).
 .
 Sphinx is an acronym which is officially decoded as SQL Phrase Index.
 .
 This package contains the client library for C.

Package: libsphinxclient-dev
Architecture: any
Section: libdevel
Depends: libsphinxclient-0.0.1 (= ${binary:Version}), ${misc:Depends}
Description: Fast standalone full-text SQL search engine - Client library
 Sphinx is a standalone full text search engine, meant to provide fast,
 size-efficient and relevant fulltext search functions to other applications.
 Sphinx was specially designed to integrate well with SQL databases and
 scripting languages. Currently built-in data sources support fetching data
 either via direct connection to MySQL or PostgreSQL, or using XML pipe
 mechanism (a pipe to indexer in special XML-based format which Sphinx
 recognizes).
 .
 Sphinx is an acronym which is officially decoded as SQL Phrase Index.
 .
 This package contains the client library for C development files.

Package: python-sphinxapi
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends}
Description: Fast standalone full-text SQL search engine - Client library
 Sphinx is a standalone full text search engine, meant to provide fast,
 size-efficient and relevant fulltext search functions to other applications.
 Sphinx was specially designed to integrate well with SQL databases and
 scripting languages. Currently built-in data sources support fetching data
 either via direct connection to MySQL or PostgreSQL, or using XML pipe
 mechanism (a pipe to indexer in special XML-based format which Sphinx
 recognizes).
 .
 Sphinx is an acronym which is officially decoded as SQL Phrase Index.
 .
 This package contains the client library for Python.

Package: libsphinx-ruby
Architecture: all
Section: ruby
Depends: libruby, ruby (>=1.8.7), ${misc:Depends}
Description: Fast standalone full-text SQL search engine - Client library
 Sphinx is a standalone full text search engine, meant to provide fast,
 size-efficient and relevant fulltext search functions to other applications.
 Sphinx was specially designed to integrate well with SQL databases and
 scripting languages. Currently built-in data sources support fetching data
 either via direct connection to MySQL or PostgreSQL, or using XML pipe
 mechanism (a pipe to indexer in special XML-based format which Sphinx
 recognizes).
 .
 Sphinx is an acronym which is officially decoded as SQL Phrase Index.
 .
 This package contains the client library for Ruby.
