=== test/Makefile ===
all:
install:
install-strip:
uninstall:
TAGS:
info:
dist:

check:
	php ubertest.php t -u test

clean:
	sh clean.sh

distclean: clean
mostlyclean: clean
maintainer-clean: clean
