=== debian/changelog ===
sphinxsearch (2.2.9-1build1) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 13:02:23 +0000

sphinxsearch (2.2.9-1) unstable; urgency=medium
  
  * New upstream release.
  * Add mulitarch libdir support (Closes: #769004).

 -- YunQiang Su <syq@debian.org>  Sun, 03 May 2015 01:37:01 +0800

sphinxsearch (2.2.5-1) unstable; urgency=medium

  * New upstream release. (Closes: 713331)
  * Use dh 9 - compat level and rules.
  * Add myself in to uploaders.

 -- YunQiang Su <syq@debian.org>  Wed, 29 Oct 2014 11:37:25 +0000
