## sphinxsearch 2.2.9-release

=== debian/changelog ===
sphinxsearch (2.2.9-release-0ubuntu12~precise) precise; urgency=low

  * Sphinx 2.2.9-release official upstream build.
  - fixed #2150, making '/var/run/sphinxsearch' directory for Ubuntu 14.04 and up

 -- Sphinx package builds (Sphinx Search Inc) <builds@sphinxsearch.com>  Mon, 20 Apr 2015 06:08:44 +0200

sphinxsearch (2.2.8-release-0ubuntu11~2.2.9-release-0ubuntu12~precise) precise; urgency=low

  * Sphinx 2.2.8-release official upstream build.

 -- Sphinx package builds (Sphinx Search Inc) <builds@sphinxsearch.com>  Tue, 10 Mar 2015 18:00:00 +0400

sphinxsearch (2.2.7-release-0ubuntu11~2.2.9-release-0ubuntu12~precise) precise; urgency=low

  * Sphinx 2.2.7-release official upstream build.

 -- Sphinx package builds (Sphinx Search Inc) <builds@sphinxsearch.com>  Tue, 20 Jan 2015 18:00:00 +0400

sphinxsearch (2.2.6-release-0ubuntu11~2.2.9-release-0ubuntu12~precise) precise; urgency=low

  * Sphinx 2.2.6-release official upstream build.

 -- Sphinx package builds (Sphinx Search Inc) <builds@sphinxsearch.com>  Thu, 11 Nov 2014 18:00:00 +0400

sphinxsearch (2.2.5-release-0ubuntu11~2.2.9-release-0ubuntu12~precise) precise; urgency=low

  * Sphinx 2.2.5-release official upstream build.
  * Updated sphinx.conf.in and sphinx-min.conf.in patches.

 -- Sphinx package builds (Sphinx Search Inc) <builds@sphinxsearch.com>  Mon, 03 Oct 2014 18:00:00 +0400

sphinxsearch (2.2.4-release-0ubuntu11~2.2.9-release-0ubuntu12~precise) precise; urgency=low

  * Sphinx 2.2.4-release official upstream build.
  - nothing changed in the sources

 -- Sphinx package builds (Sphinx Search Inc) <builds@sphinxsearch.com>  Thu, 11 Sep 2014 18:00:00 +0400

sphinxsearch (2.2.3-beta-0ubuntu11~2.2.9-release-0ubuntu12~precise) precise; urgency=low

  * Sphinx 2.2.3-beta official upstream build.

 -- Sphinx package builds (Sphinx Search Inc) <builds@sphinxsearch.com>  Tue, 13 May 2014 18:00:00 +0400

sphinxsearch (2.2.2-beta-0ubuntu11~precise) PUTHEREDISTNAME; urgency=low

  * Sphinx 2.2.2-beta official upstream build.
  * crash_log_path configuration directive removed

 -- Sphinx package builds (Sphinx Search Inc) <builds@sphinxsearch.com>  Tue, 11 Feb 2014 21:10:32 +0400

sphinxsearch (2.2.1-beta-0ubuntu11~precise) PUTHEREDISTNAME; urgency=low

  * Sphinx 2.2.1-beta official upstream build.

 -- Sphinx package builds (Sphinx Search Inc) <builds@sphinxsearch.com>  Wed, 13 Nov 2013 21:10:32 +0400

sphinxsearch (2.1.2-release-0ubuntu11~precise) PUTHEREDISTNAME; urgency=low

  * Official upstream build.
  * Sphinx 2.1.2-release is out
  * Added missing directories
  * Fixed missing patches
  * Updated init script
  - general fix release

 -- Sphinx package builds (Sphinx Search Inc) <builds@sphinxsearch.com>  Thu, 10 Oct 2013 21:10:32 +0400

sphinxsearch (2.1.1-beta-0ubuntu10~precise) PUTHEREDISTNAME; urgency=low

  * Official upstream build.
  * Sphinx 2.1.1-beta is released
  - re2 is now supported

 -- Sphinx package builds (Sphinx Search Inc) <builds@sphinxsearch.com>  Wed, 20 Feb 2013 21:10:32 +0400

sphinxsearch (2.0.6-release-0ubuntu10~precise) PUTHEREDISTNAME; urgency=low

  * Official upstream release.
  * Stable Sphinx 2.0.6 is released
  - updated version in sphinx.h

 -- Sphinx package builds (Sphinx Search Inc) <builds@sphinxsearch.com>  Mon, 22 Oct 2012 14:50:10 +0700

sphinxsearch (2.0.5-release-0ubuntu10~lucid8) lucid; urgency=low

  * Official upstream release.
  * Stable Sphinx 2.0.5 is released
  - updated version in sphinx.h

 -- Sphinx package builds (Sphinx Search Inc) <builds@sphinxsearch.com>  Sat, 28 jul 2012 11:51:12 +0700

sphinxsearch (2.0.4-release-0ubuntu9~lucid7) lucid; urgency=low

  * Official upstream release.
  * Removed strict libmysqlclient16 dependency
  - nothing changed in the sources

 -- Sphinx package builds (Sphinx Search Inc) <builds@sphinxsearch.com>  Fri, 27 jul 2012 16:08:12 +0700

sphinxsearch (2.0.4-release-0ubuntu9) precise; urgency=low

  * Official upstream release. Added lost API
  - nothing changed in the sources

 -- Sphinx package builds (Sphinx Search Inc) <builds@sphinxsearch.com>  Mon, 11 Jun 2012 18:54:32 +0700

sphinxsearch (2.0.4-release-0ubuntu8) precise; urgency=low

  * Official upstream beta. Added lost debug symbols
  * Added new series
  - nothing changed in the sources

 -- Sphinx package builds (Sphinx Search Inc) <builds@sphinxsearch.com>  Fri, 18 Nov 2011 15:40:32 +0100

sphinxsearch (2.0.2-beta-0ubuntu6) lucid; urgency=low

  * Official upstream build.

 -- Sphinx Builds Team <builds@sphinxsearch.com>  Tue, 26 Apr 2011 16:42:43 +0200
