=== debian/control ===
Source: sphinxsearch
Section: misc
Priority: optional
Maintainer: Sphinx package builds <builds@sphinxsearch.com>
XSBC-Original-Maintainer: Radu Spineanu <radu@debian.org>
Build-Depends: debhelper (>= 7), autotools-dev, gawk, libmysqlclient-dev, libpq-dev, autoconf, libtool, automake, libexpat-dev, wget, unixodbc-dev
Standards-Version: 3.8.4

Package: sphinxsearch
Architecture: any
Homepage: http://sphinxsearch.com
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Fast standalone full-text SQL search engine
 Sphinx is a standalone full text search engine, meant to provide fast,
 size-efficient and relevant fulltext search functions to other applications. 
 Sphinx was specially designed to integrate well with SQL databases and 
 scripting languages. Currently built-in data sources support fetching data 
 either via direct connection to MySQL or PostgreSQL, or using XML pipe 
 mechanism (a pipe to indexer in special XML-based format which Sphinx 
 recognizes).
 .
 Sphinx is an acronym which is officially decoded as SQL Phrase Index. 

Section: debug
Priority: extra
Package: sphinxsearch-dbg
Architecture: any
Homepage: http://sphinxsearch.com
Depends: sphinxsearch
Description: Debug symbols for sphinxsearch package
 This package have to be used internally by developers - or also could be
 used by end users to provide comprehensive bugreports.
 .
 sphinx is an acronym which is officially decoded as SQL Phrase Index.
